Update an entitlement override
PATCH
/
v1
/
billing
/
entitlements
/
overrides
/
{id}
Update an entitlement override
curl --request PATCH \
--url https://api.kerne.io/v1/billing/entitlements/overrides/{id} \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"override_value": "<string>",
"reason": "<string>",
"expires_at": "<string>"
}
'import requests
url = "https://api.kerne.io/v1/billing/entitlements/overrides/{id}"
payload = {
"override_value": "<string>",
"reason": "<string>",
"expires_at": "<string>"
}
headers = {
"x-app-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-app-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({override_value: '<string>', reason: '<string>', expires_at: '<string>'})
};
fetch('https://api.kerne.io/v1/billing/entitlements/overrides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenant_id": "<string>",
"customer_id": "<string>",
"feature_id": "<string>",
"feature_key": "<string>",
"feature_name": "<string>",
"dimension_id": "<string>",
"override_value": "<string>",
"reason": "<string>",
"created_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_expired": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
AppIdentifierJWT
App identifier (App.id, sent as the x-app-id header)
Path Parameters
Response
200 - application/json
⌘I
Update an entitlement override

